# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'oop/version'

Gem::Specification.new do |spec|
  spec.name          = "oop"
  spec.version       = OOP::VERSION
  spec.authors       = ["Serguei Filimonov"]
  spec.email         = ["serguei.filimonov@gmail.com"]

  spec.summary       = %q{My take on how to write simpler Ruby code.}
  spec.description   = %q{half library / half discipline that polices messanging between objects}
  spec.homepage      = "https://github.com/sergueif/oop"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
end
